Subject: Re: I don't want the .git directory next to my code.

From: Matthieu Moy <[email-masked]>
Date: Wed, 16 Jan 2008 13:25:51 +0100

Bill Lear <[email-masked]> writes:

> On Wednesday, January 16, 2008 at 10:36:34 (+0000) Johannes Schindelin writes:
>>Hi,
>>
>>On Wed, 16 Jan 2008, Matthieu Moy wrote:
>>
>>> Mike <[email-masked]> writes:
>>> 
>>> > I'm learning git and I'm really annoyed that the .git directory lives 
>>> > in the same directory as my code.  I don't want it there for three 
>>> > reasons:
>>> 
>>> The idea was discussed here, mostly under the name "gitlink".
>>
>>It goes by "git worktree"; has nothing to do with gitlink (which has 
>>something to do with submodules).
>
> I think you mean to say there is a variable 'worktree' variable
> available via the config variable 'core.worktree' or environment
> variable GIT_WORK_TREE, or command-line option --work-tree that should
> do the trick (no 'git worktree' command exists as far as I can see):

Yes, so you can use

$ git --work-tree . --git-dir /some/other/place <some-command>

But it's far from the user-friendlyness of a real lightweight
checkout: you need to provide the --work-tree and --git-dir options
each time you run git. And making an alias or using the environment
variables are not really an option if you have more than one
repository or working tree to deal with.

-- 
Matthieu